Gecode::VarImpDisposer< VarImp > Class Template Reference
Functionality by programming task » Programming variables

Variable implementation disposer More...

`#include <core.hpp>`

## Public Member Functions

| VarImpDisposer (void)
| Constructor (registers disposer with kernel).
virtual void | dispose (Space &home, VarImpBase *x)
| Dispose list of variable implementations starting at x.
Public Member Functions inherited from Gecode::VarImpDisposerBase
virtual | ~VarImpDisposerBase (void)
| Destructor (not used).

## Detailed Description

template<class VarImp>
class Gecode::VarImpDisposer< VarImp >

Variable implementation disposer

Controls disposal of variable implementations.

Definition at line 195 of file core.hpp.

## Constructor & Destructor Documentation

## VarImpDisposer()

template<class VarImp>

Gecode::VarImpDisposer< VarImp >::VarImpDisposer | ( | void |  | ) |

Constructor (registers disposer with kernel).

Definition at line 4670 of file core.hpp.

## Member Function Documentation

## dispose()

template<class VarImp>

void Gecode::VarImpDisposer< VarImp >::dispose | ( | Space & | home,
|  | VarImpBase * | x )

virtual

Dispose list of variable implementations starting at x.

Reimplemented from Gecode::VarImpDisposerBase.

Definition at line 4678 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp